Subject: 23.0.60; smooth-scroll sluggish

From: David <[email-masked]>
Date: Wed, 17 Dec 2008 15:15:16 -0500

For a while I've noticed that scrolling has been pretty slow, a couple of
months back it improved quite a bit.  But still, noticably slow.

I decided to elp-instrument some likely candidates:
In a recent version of emacs, built a few weeks ago from cvs trunk:
Function Name                           Call Count  Elapsed Time  Average
Time
======================================  ==========  ============
============
next-line                               944         42.020999999
0.0445137711
smooth-scroll-lines-from-window-bottom  943         18.337000000
0.0194453870

>From a version built a long while back, GNU Emacs 23.0.50.1
(i386-mingw-nt5.1.2600) of 2007-10-23 on myhost:
Function Name                           Call Count  Elapsed Time  Average
Time
======================================  ==========  ============
============
next-line                               678         5.5799999999
0.0082300884
smooth-scroll-lines-from-window-bottom  660         0.7630000000
0.0011560606
count-screen-lines                      662         0.6690000000
0.0010105740

Both of those elp-results came from pressing C-n on the same file from top
to bottom.  The file has 671 lines in it.  It appears to me that the more
recent versions of emacs have very slow "next-line"

If I don't load 'smooth-scroll' scrolling speed is quite good.

Thanks

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
f:/devtools/emacs-23.0.60.1/etc/DEBUG for instructions.

In GNU Emacs 23.0.60.1 (i386-mingw-nt5.1.2600)
 of 2008-09-21 on myhost
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4) --cflags -I../../include -pipe'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENU
  value of $XMODIFIERS: nil
  locale-coding-system: cp1252
  default-enable-multibyte-characters: t

Major mode: JDE/l

Minor modes in effect:
  diff-auto-refine-mode: t
  semantic-decoration-mode: t
  jde-plugin-minor-mode: t
  jde-jdb-minor-mode: t
  shell-dirtrack-mode: t
  icicle-mode: t
  minibuffer-indicate-depth-mode: t
  nxhtml-global-minor-mode: t
  display-time-mode: t
  recentf-mode: t
  which-function-mode: t
  savehist-mode: t
  delete-selection-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  abbrev-mode: t

Recent input:
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n M-x e l p -
r e u l <tab> <backspace> s <backspace> <backspace>
s u l <tab> <return> <up> <up> <down-mouse-1> <mouse-movement>
<mouse-movement> <help-echo> <mouse-movement> <mouse-movement>
<mouse-movement> <mouse-movement> <mouse-movement>
<drag-mouse-1> <up> <up> <up> <help-echo> <down-mouse-1>
<mouse-movement> <mouse-movement> <drag-mouse-1> <down-mouse-1>
<mouse-1> C-SPC C-SPC <up> <up> <up> <up> <up> M-w
C-x b n o t <tab> <return> <C-end> <return> <return>
r <return> <return> C-y <up> <up> <up> <C-end> <return>
C-y C-x C-s <up> <up> <up> <up> <up> <up> <up> <up>
<up> <up> C-SPC C-SPC <down> <down> <down> <down> <down>
<down> <down> <down> M-w <down-mouse-1> <mouse-1> <return>
<return> M-x e m a c s - b u <tab> <S-tab> <return

Recent messages:
Mark set
notes changed on disk; really edit the buffer? (y, n, r or C-h)
Please type y, n or r; or ? for help
notes changed on disk; really edit the buffer? (y, n, r or C-h)